Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman74 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.27.18 epsilon*Ef**2"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman74() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman74(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman74(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.27.18 epsilon*Ef**2 | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_den"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman74() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman74(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman75 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.34.2a q*v/(2*pi*r)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman75() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman75(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman75(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.34.2a q*v/(2*pi*r) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "I"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman75() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman75(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -37,4 +55,5 @@
       for (var i = 0; i < q.Count; i++) {
         var res = q[i] * v[i] / (2 * Math.PI * r[i]);
+        ;
         I.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman76 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.34.2 q*v*r/2"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman76() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman76(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman76(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.34.2 q*v*r/2 | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "mom"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman76() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman76(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman77 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.34.11 g_*q*B/(2*m)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman77() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman77(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman77(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.34.11 g_*q*B/(2*m) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "omega"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman77() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman77(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman78 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.34.29a q*h/(4*pi*m)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman78() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman78(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman78(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.34.29a q*h/(4*pi*m) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "mom"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman78() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman78(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman79 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.34.29b g_*mom*B*Jz/(h/(2*pi))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman79() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman79(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman79(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.34.29b g_*mom*B*Jz/(h/(2*pi)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman79() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman79(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -41,4 +59,5 @@
       for (var i = 0; i < g_.Count; i++) {
         var res = g_[i] * mom[i] * B[i] * Jz[i] / (h[i] / (2 * Math.PI));
+        ;
         E_n.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman8.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman8.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman8.cs	(revision 17642)
@@ -1,44 +1,56 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.Common;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman8 : FeynmanDescriptor{
- public override string Name { get { return "Feynman I.12.1 F = mu*Nm"; } }
+  public class Feynman8 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
 
- protected override string TargetVariable { get { return "F"; } }
-    protected override string[] VariableNames { get { return new string[] { "mu", "Nm", "F"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] {"mu", "Nm"}; } }
+    public Feynman8() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman8(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman8(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name { get { return string.Format("Feynman I.12.1 mu*Nn | {0} samples", trainingSamples); } }
+
+    protected override string TargetVariable { get { return "F"; } }
+    protected override string[] VariableNames { get { return new[] {"mu", "Nn", "F"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"mu", "Nn"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman8() : this((int)System.DateTime.Now.Ticks) { }
-
-    public Feynman8(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
-      var rand = new MersenneTwister((uint)Seed);
+      var rand = new MersenneTwister((uint) Seed);
 
       var data = new List<List<double>>();
-      var mu = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var Nm = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var mu   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Nn   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var F = new List<double>();
 
       data.Add(mu);
-      data.Add(Nm);
+      data.Add(Nn);
       data.Add(F);
 
       for (var i = 0; i < mu.Count; i++) {
-        var res = mu[i] * Nm[i];
+        var res = mu[i] * Nn[i];
         F.Add(res);
       }
-
 
       return data;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs	(revision 17642)
@@ -6,5 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman80 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.35.18 n_0/(exp(mom*B/(kb*T))+exp(-mom*B/(kb*T)))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman80() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman80(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman80(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman II.35.18 n_0/(exp(mom*B/(kb*T))+exp(-mom*B/(kb*T))) | {0} samples",
+          trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "n"; } }
@@ -14,9 +36,8 @@
     public int Seed { get; private set; }
 
-    public Feynman80() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman80(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman81 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.35.21 n_rho*mom*tanh(mom*B/(kb*T))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman81() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman81(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman81(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.35.21 n_rho*mom*tanh(mom*B/(kb*T)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "M"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman81() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman81(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17642)
@@ -6,5 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman82 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.36.38 mom*H/(kb*T)+(mom*alpha)/(epsilon*c**2*kb*T)*M"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman82() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman82(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman82(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman II.36.38 mom*H/(kb*T)+(mom*alpha)/(epsilon*c**2*kb*T)*M | {0} samples",
+          trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "f"; } }
@@ -20,9 +42,8 @@
     public int Seed { get; private set; }
 
-    public Feynman82() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman82(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -52,5 +73,6 @@
 
       for (var i = 0; i < mom.Count; i++) {
-        var res = mom[i] * H[i] / (kb[i] * T[i]) + mom[i] * alpha[i] / (epsilon[i] * Math.Pow(c[i],2) * kb[i] * T[i]) *M[i];
+        var res = mom[i] * H[i] / (kb[i] * T[i]) +
+                  mom[i] * alpha[i] / (epsilon[i] * Math.Pow(c[i], 2) * kb[i] * T[i]) * M[i];
         f.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman83 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.37.1 mom*(1+chi)*B"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman83() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman83(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman83(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.37.1 mom*(1+chi)*B | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman83() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman83(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman84 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.38.3 Y*A*x/d"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman84() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman84(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman84(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.38.3 Y*A*x/d | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "F"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman84() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman84(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman85 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.38.14 Y/(2*(1+sigma))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman85() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman85(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman85(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.38.14 Y/(2*(1+sigma)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "mu_S"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman85() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman85(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17642)
@@ -6,5 +6,26 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman86 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.4.32 1/(exp((h/(2*pi))*omega/(kb*T))-1)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman86() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman86(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman86(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman III.4.32 1/(exp((h/(2*pi))*omega/(kb*T))-1) | {0} samples", trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "n"; } }
@@ -14,9 +35,8 @@
     public int Seed { get; private set; }
 
-    public Feynman86() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman86(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -38,5 +58,5 @@
 
       for (var i = 0; i < h.Count; i++) {
-        var res = 1.0 / (Math.Exp((h[i] / (2 * Math.PI)) * omega[i] / (kb[i] * T[i])) - 1);
+        var res = 1.0 / (Math.Exp(h[i] / (2 * Math.PI) * omega[i] / (kb[i] * T[i])) - 1);
         n.Add(res);
       }
